summaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
authorDante Catalfamo2020-06-17 14:37:37 -0400
committerDante Catalfamo2020-06-17 14:37:37 -0400
commitf14c4944eda137aa096b1ec9e749922aba2594a6 (patch)
treed7eaf98db4d455fbba3f11d053535fe9b7d08b69 /deploy.sh
parentebc0d5ff95fd85a23fba9b81bc4295415a680aef (diff)
downloadblog-f14c4944eda137aa096b1ec9e749922aba2594a6.tar.gz
blog-f14c4944eda137aa096b1ec9e749922aba2594a6.tar.bz2
blog-f14c4944eda137aa096b1ec9e749922aba2594a6.zip
Update deploy script to ensure submodules are up to date
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index 90bc562..bcac598 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
cd "$(dirname "$0")"
+git submodule update --init
hugo
rsync -va --progress --rsync-path="/usr/bin/openrsync" public/ blog@lambda.cx:/var/www/htdocs/blog.lambda.cx/